import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
	return request({
		url: '/system/goodsPayment/getSysDeptInfo',
		params: query,
		method: 'get'
	})
}
// 订单付款获取用户详细信息
export function edit(data) {
	return request({
		url: '/system/goodsPayment/edit',
		data: data,
		method: 'post'
	})
}
// 订单付款获取用户详细信息
export function quiryShopProfitStatistics(data) {
	return request({
		url: '/system/goodsPayment/quiryShopProfitStatistics',
		params: data,
		method: 'post'
	})
}
// 统计
export function getStatistics(data) {
	return request({
		url: '/system/goodsPayment/monthlyStatistics',
		params: data,
		method: 'post'
	})
}
// 售后
export function getpayment(id) {
	return request({
		url: '/system/gameAftermarket/getInfo/paymentId/'+id,
		method: 'post'
	})
}
// 修改退款
export function updateStatus(id) {
	return request({
		url: '/system/goodsPayment/updateStatus?goodsId='+id,
		method: 'post'
	})
}
// 提号率统计
export function getSuccessRate(data) {
	return request({
		url: '/system/tBusGoodsRegister/successRate',
		params: data,
		method: 'get'
	})
}
// 卖号情况统计-本月
export function getquiryStatistics(data) {
	return request({
		url: '/system/goodsPayment/quiryStatistics',
		params: data,
		method: 'post'
	})
}
// 卖号情况统计-上月
export function getquiryStatisticsOver(data) {
	return request({
		url: '/system/goodsPayment/quiryStatistics',
		params: data,
		method: 'post'
	})
}
// 号商卖号情况统计
export function getquiryHandlerStatistics(data) {
	return request({
		url: '/system/goodsPayment/quiryHandlerStatistics',
		params: data,
		method: 'post'
	})
}
// 游戏卖号情况统计
export function getquiryGameStatistics(data) {
	return request({
		url: '/system/goodsPayment/quiryGameStatistics',
		params: data,
		method: 'post'
	})
}
// 渠道卖号情况统计
export function getquiryChannelStatistics(data) {
	return request({
		url: '/system/goodsPayment/quiryChannelStatistics',
		params: data,
		method: 'post'
	})
}
// 利润统计
export function getquiryLirunStatistics(data) {
	return request({
		url: '/system/goodsPayment/sumLR',
		params: data,
		method: 'post'
	})
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
	return request({
		url: '/system/goodsPayment/getDeptInfo',
		method: 'get'
	})
}
export function getTBusShopInfo(query) {
	return request({
		url: '/system/goodsPaymentEntr/getTBusShopInfo',
		method: 'get',
		params: query
	})
}
//撤回
export function revoke(data) {
	return request({
		url: '/system/goodsPayment/revoke',
		method: 'post',
		data: data
	})
}
// 获取用户详细信息
export function getInfo() {
	return request({
		url: '/system/user/getInfo',
		method: 'get'
	})
}
export function goodsPayment(query) {
	return request({
		url: '/system/goodsPayment/listFK',
		method: 'post',
		params: query
	})
}
// 出售商品信息
export function getGoodsInfo(query) {
	return request({
		url: '/system/goodsPayment/getGoodsInfo',
		method: 'post',
		params: query
	})
}
export function getPaymentInfo(query) {
	return request({
		url: '/system/goodsPayment/getPaymentInfo',
		method: 'post',
		params: query
	})
}


// 查询店铺信息详细
export function getpartner(id) {
	return request({
		url: '/system/partner/' + id,
		method: 'get'
	})
}


// 修改店铺信息
export function updatepartner(data) {
	return request({
		url: '/system/goodsNotice/updateGoodsNotice',
		method: 'put',
		data: data
	})
}

// 保存订单信息
export function updatePic(data) {
	return request({
		url: '/system/goodsPayment/updatePic',
		method: 'post',
		data: data
	})
}
// 修改商品编码
export function updateProductCode(query) {
	return request({
		url: '/system/goodsPayment/updateProductCode',
		method: 'post',
		params: query
	})
}
// 保存订单信息
export function getTBusGoodsPaymentSum(query) {
	return request({
		url: '/system/goodsPayment/getTBusGoodsPaymentSum',
		method: 'post',
		params: query
	})
}

// 申请结算
export function applyForSettlement(data) {
	return request({
		url: '/system/goodsPayment/applyForSettlement',
		method: 'post',
		data: data
	})
}
// 确认结算
export function confirmSettlement(data) {
	return request({
		url: '/system/goodsPayment/confirmSettlement',
		method: 'post',
		data: data
	})
}
// 结算审核
export function confirm(data) {
	return request({
		url: '/system/goodsPayment/confirm',
		method: 'post',
		data: data
	})
}
//退款
export function updateTefund(query) {
	return request({
		url: '/system/goodsPayment/updateTefund',
		method: 'post',
		params: query
	})
}
//驳回
export function repulse(data) {
	return request({
		url: '/system/goodsPayment/repulse',
		method: 'post',
		data: data
	})
}

// 查询商品信息列表
export function getInitGoodsManager(query) {
	return request({
		url: '/system/AppWebManagerGoodsController/getInitGoodsManager',
		method: 'get',
		params: query
	})
}
// 查询店铺信息列表
export function queryTBusShop() {
	return request({
		url: '/system/Bushop/queryTBusShop',
		method: 'get',
	})
}

export function handleStatisticsTotal(data) {
  return request({
    url: '/system/goodsPayment/handleStatisticsTotal',
    params: data,
    method: 'post'
  })
}
